<?php

/*   This is the template part that generates the header image/slider/css   */
 
$name = get_bloginfo('name');
$custom_header_image = '<div id="header-image" class="container"><img src="';
$custom_header_image .= get_option_tree( 'header_image' );
$custom_header_image .= '" alt="';
$custom_header_image .= $name;
$custom_header_image .= '" /></div><!--#header-image--><div class="clear"></div>'; 

// Display image slider
global $option_tree;
$slides = get_option_tree( 'orbit_slider', $option_tree, false, true, -1 );
$slider = '<div id="header-image" class="container"><div id="orbit-slider">  
	<div class="container_orbit">
		<div id="featured">';

if(is_array($slides)) {  
$caption = 0;
foreach( $slides as $slide ) {
	if ( get_option_tree( 'orbit_links' ) == "Yes" && !strlen(trim($slide['link'])) == '' ) {
		$slide_links = '<a href="'.$slide['link'].'" data-caption="#'.$caption.'" >';
		$slide_links_end = '</a>'; 
	} 
	else { 
		$slide_links = '';
		$slide_links_end = '';
	}
	
	
	$slider .= $slide_links;
	$slider .= '<img class="slider-img" src="'.$slide['image'].'" alt="'.$slide['title'].'" data-caption="#'.$caption.'"  />';
	$slider .= $slide_links_end;
	$caption++;
	}
}
	
$slider .= '</div>';
if(is_array($slides)) {  
$caption = 0;
foreach( $slides as $slide ) {
	if ($slide['description']!="") { $slider .= '<span class="orbit-caption" id="'.$caption.'">'.$slide['description'].'</span>'; }
	$caption++;
}
}
$slider .= '</div></div></div><div class="clear"></div>';

// Display Recent Posts Slider
if (function_exists('rps_show')) {
$rps_slider = '<div id="header-image" class="container header-rps">';
$rps_slider .=  rps_show(); 
$rps_slider .= '</div><!--#header-image--><div class="clear"></div>'; 
}

if ( function_exists( 'get_option_tree') ) {
	if ( get_option_tree( 'header_onoff' ) == 'Display custom header' ) { 
		if ( get_post_meta(get_the_ID(), 'fuji_header', true) == '' ) {		
			if ( get_option_tree( 'header_content' ) == 'Image' ) {
			echo $custom_header_image;
			}
			elseif ( get_option_tree( 'header_content' ) == 'Image slider' ) {
			echo $slider;
			}
			elseif (get_option_tree( 'header_content' ) == 'Recent Posts Slider' ) {
			echo $rps_slider; 
			}
			elseif (get_option_tree( 'header_content' ) == 'Custom HTML' ) {
			echo get_option_tree( 'header_html' ); 
			}
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'No header' ) {
		echo '';
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Static image' ) {
		echo $custom_header_image;
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Image slider' ) {
		echo $slider;
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Recent posts slider' ) {
		echo $rps_slider; 
		}
		elseif ( get_post_meta(get_the_ID(), 'fuji_header', true) == 'Custom HTML' ) {
		echo get_option_tree( 'header_html' ); 
		}
	}	
}
?>